{
  "format_version": "1.10.0",
  "minecraft:client_entity": {
    "description": {
      "identifier": "pr:egg_citipati",
      "min_engine_version": "1.8.0",
      "materials": {
        "default": "cow"
      },
      "textures": {
        "default": "textures/entity/pamobile/pr_egg_citipati"
      },
      "geometry": {
        "default": "geometry.pr_egg_citipati"
      },
      "animations": {
        "setup": "animation.pr_egg_citipati.setup",
        "walk": "animation.quadruped.walk",
        "look_at_target": "animation.common.look_at_target",
        "baby_transform": "animation.pr_egg_citipati.baby_transform"
      },
      "scripts": {
        "animate": [
          "setup",
          {
            "walk": "query.modified_move_speed"
          },
          "look_at_target",
          {
            "baby_transform": "query.is_baby"
          }
        ]
      },
      "render_controllers": [
        "controller.render.cow"
      ],
      "spawn_egg": {
        "texture": "pr:egg_citipati_spawn_egg",
        "texture_index": 0
      }
    }
  }
}